Bug 702893 - [abrt] fedpkg-0.5.9.0-1.fc14: __init__.py:1653:lint:OSError: [Errno 2] No such file or directory: '/home/jeff/fedpkg/gourmet/noarch'
Summary: [abrt] fedpkg-0.5.9.0-1.fc14: __init__.py:1653:lint:OSError: [Errno 2] No suc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7d00755e
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-08 05:44 UTC by Jeff Raber
Modified: 2013-01-10 06:36 UTC (History)
3 users (show)

Fixed In Version: fedora-packager-0.5.9.2-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-10 13:31:46 UTC


Attachments (Terms of Use)
File: backtrace (683 bytes, text/plain)
2011-05-08 05:44 UTC, Jeff Raber
no flags Details

Description Jeff Raber 2011-05-08 05:44:56 UTC
abrt version: 1.1.18
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/fedpkg lint
component: fedora-packager
executable: /usr/bin/fedpkg
kernel: 2.6.35.12-90.fc14.x86_64
package: fedpkg-0.5.9.0-1.fc14
reason: __init__.py:1653:lint:OSError: [Errno 2] No such file or directory: '/home/jeff/fedpkg/gourmet/noarch'
release: Fedora release 14 (Laughlin)
time: 1304833380
uid: 500

backtrace
-----
__init__.py:1653:lint:OSError: [Errno 2] No such file or directory: '/home/jeff/fedpkg/gourmet/noarch'

Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 1494, in <module>
    args.command(args)
  File "/usr/bin/fedpkg", line 572, in lint
    return mymodule.lint(args.info)
  File "/usr/lib/python2.7/site-packages/pyfedpkg/__init__.py", line 1653, in lint
    os.listdir(os.path.join(self.path, arch))
OSError: [Errno 2] No such file or directory: '/home/jeff/fedpkg/gourmet/noarch'

Local variables in innermost frame:
info: False
rpms: []
arches: ['noarch']
srpm: 'gourmet-0.15.9-1.fc16.src.rpm'
arch: 'noarch'
self: <pyfedpkg.PackageModule instance at 0xf98440>

How to reproduce
-----
1. 'fedpkg lint', but I hadn't done a local compile, so the expected files do not exist.
2.
3.

Comment 1 Jeff Raber 2011-05-08 05:44:59 UTC
Created attachment 497609 [details]
File: backtrace

Comment 2 Jesse Keating 2011-05-23 22:59:58 UTC
Committed a check for this upstream.

Comment 3 Fedora Update System 2011-05-28 01:14:10 UTC
fedora-packager-0.5.9.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.fc15

Comment 4 Fedora Update System 2011-05-28 01:20:18 UTC
fedora-packager-0.5.9.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.fc14

Comment 5 Fedora Update System 2011-05-28 01:22:01 UTC
fedora-packager-0.5.9.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.fc13

Comment 6 Fedora Update System 2011-05-28 01:26:43 UTC
fedora-packager-0.5.9.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.el6

Comment 7 Fedora Update System 2011-05-28 01:28:22 UTC
fedora-packager-0.5.9.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.el5

Comment 8 Fedora Update System 2011-05-28 21:32:28 UTC
Package fedora-packager-0.5.9.2-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing fedora-packager-0.5.9.2-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.el6
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-06-10 13:31:14 UTC
fedora-packager-0.5.9.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-06-15 05:47:37 UTC
fedora-packager-0.5.9.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-06-15 05:52:45 UTC
fedora-packager-0.5.9.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-06-16 00:29:37 UTC
fedora-packager-0.5.9.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-06-16 00:32:40 UTC
fedora-packager-0.5.9.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.